Skip to main content
GET
Get optimizer statistics

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Scopes

User
AccessKey
UserApi
AccessKey
SubuserAPIPullZones
AccessKey
SubuserPullZones
AccessKey
SubuserManage
AccessKey
SubuserAPIManage
AccessKey
ScopedApiKey
AccessKey
User
bearer
UserApi
bearer
SubuserAPIPullZones
bearer
SubuserPullZones
bearer
SubuserManage
bearer
SubuserAPIManage
bearer
ScopedApiKey
bearer

Path Parameters

pullZoneId
integer<int64>
required

Id of Pull Zone

Query Parameters

dateFrom
string<date-time> | null

(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned.

dateTo
string<date-time> | null

(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned.

hourly
boolean
default:false

(Optional) If true, the statistics data will be returned in hourly groupping.

Response

The statistics data for the passed parameters.

RequestsOptimizedChart
object | null

The constructed chart of optimized requests

AverageCompressionChart
object | null

Average compression chart of the responses

TrafficSavedChart
object | null

The constructed chart of saved traffic

AverageProcessingTimeChart
object | null

The constructed chart of saved traffic

TotalRequestsOptimized
number<double>

The total number of optimized requests

TotalTrafficSaved
number<double>

The total requests saved

AverageProcessingTime
number<double>

The average processing time of each request

AverageCompressionRatio
number<double>

The average compression ratio of CDN responses